class Architect
  class Log
    require 'logger'

    @@log = Logger.new(STDOUT)
    @@log.level = Logger::WARN

    def self.log
      @@log
    end

    def self.level=(level)
      @@log.level = level
    end

    def self.debug(message)
      @@log.debug message
    end

    def self.info(message)
      @@log.info message
    end

    def self.warn(message)
      @@log.warn message
    end
  end
end
